
import bpy, ossl.menu as menu

class OSSL_MT_Character_load(menu.MenuFolder):
    bl_label = "OSSL Menu Character Load"
    bl_idname = "OSSL_MT_Character_load"

def OSSL_menu_Character_load(self, context):
    self.layout.menu(OSSL_MT_Character_load.bl_idname, text="load", icon="TRIA_RIGHT")

import ossl.util as util
   
def register():
    print("registering: OSSL Type Character Load")
    bpy.utils.register_class(OSSL_MT_Character_load)
    bpy.types.OSSL_MT_Character.append(OSSL_menu_Character_load)
    util.imports("ossl._types.Character.load", "load_default")
    print("registered: OSSL Type Character Load")

def unregister():
    print("unregistering: OSSL Type Character Load")
    util.release("ossl._types.Character.load", "load_default")
    bpy.types.OSSL_MT_Character.remove(OSSL_menu_Character_load)
    bpy.utils.unregister_class(OSSL_MT_Character_load)
    print("unregistered: OSSL Type Character Load")

if __name__ == "__main__":
    util.reset_addon()
